package models

const TableNameWkSpiderQna = "wk_spider_qna" //PG数据库新闻文章数据表(AI加工数据)

const (
	WK_SPIDER_QNA_COLUMN_ID               = "id"
	WK_SPIDER_QNA_COLUMN_TAG              = "tag"
	WK_SPIDER_QNA_COLUMN_CATEGORY         = "category"
	WK_SPIDER_QNA_COLUMN_QUESTION         = "question"
	WK_SPIDER_QNA_COLUMN_QUESTION_SUMMARY = "question_summary"
	WK_SPIDER_QNA_COLUMN_ANSWER           = "answer"
	WK_SPIDER_QNA_COLUMN_KEYWORDS         = "keywords"
	WK_SPIDER_QNA_COLUMN_SEO_KEYWORDS     = "seo_keywords"
	WK_SPIDER_QNA_COLUMN_URL              = "url"
	WK_SPIDER_QNA_COLUMN_IMAGE_URL        = "image_url"
	WK_SPIDER_QNA_COLUMN_IS_HOTSPOT       = "is_hotspot"
	WK_SPIDER_QNA_COLUMN_CREATED_TIME     = "created_time"
	WK_SPIDER_QNA_COLUMN_STATUS           = "status"
)

type WkSpiderQnaDO struct {
	Id              int64    `json:"id" db:"id" bson:"_id"`                                                         //自增ID
	Tag             string   `json:"tag" db:"tag" bson:"tag"`                                                       //文章标签
	Category        string   `json:"category" db:"category" bson:"category"`                                        //分类
	Question        string   `json:"question" db:"question" bson:"question"`                                        //问题
	Answer          string   `json:"answer" db:"answer" bson:"answer"`                                              //答案
	QuestionSummary string   `json:"question_summary" db:"question_summary" sqlca:"isnull" bson:"question_summary"` //摘要
	Keywords        []string `json:"keywords" db:"keywords" sqlca:"isnull" bson:"keywords"`                         //关键词
	SeoKeywords     []string `json:"seo_keywords" db:"seo_keywords" sqlca:"isnull" bson:"seo_keywords"`             //SEO关键词
	Url             string   `json:"url" db:"url" sqlca:"isnull" bson:"url"`                                        //链接
	ImageUrl        string   `json:"image_url" db:"image_url" sqlca:"isnull" bson:"image_url"`                      //图片URL
	IsHotspot       bool     `json:"is_hotspot" db:"is_hotspot" bson:"is_hotspot"`                                  //是否热点(0=否 1=是)
	CreatedTime     string   `json:"created_time" db:"created_time" sqlca:"readonly" bson:"created_time"`           //数据创建时间
	Status          bool     `json:"status" db:"status" bson:"status"`                                              //处理状态(false=未处理 true=已处理)
}

func (do *WkSpiderQnaDO) GetId() int64                { return do.Id }
func (do *WkSpiderQnaDO) SetId(v int64)               { do.Id = v }
func (do *WkSpiderQnaDO) GetTag() string              { return do.Tag }
func (do *WkSpiderQnaDO) SetTag(v string)             { do.Tag = v }
func (do *WkSpiderQnaDO) GetCategory() string         { return do.Category }
func (do *WkSpiderQnaDO) SetCategory(v string)        { do.Category = v }
func (do *WkSpiderQnaDO) GetQuestion() string         { return do.Question }
func (do *WkSpiderQnaDO) SetQuestion(v string)        { do.Question = v }
func (do *WkSpiderQnaDO) GetAnswer() string           { return do.Answer }
func (do *WkSpiderQnaDO) SetAnswer(v string)          { do.Answer = v }
func (do *WkSpiderQnaDO) GetQuestionSummary() string  { return do.QuestionSummary }
func (do *WkSpiderQnaDO) SetQuestionSummary(v string) { do.QuestionSummary = v }
func (do *WkSpiderQnaDO) GetKeywords() []string       { return do.Keywords }
func (do *WkSpiderQnaDO) SetKeywords(v []string)      { do.Keywords = v }
func (do *WkSpiderQnaDO) GetSeoKeywords() []string    { return do.SeoKeywords }
func (do *WkSpiderQnaDO) SetSeoKeywords(v []string)   { do.SeoKeywords = v }
func (do *WkSpiderQnaDO) GetUrl() string              { return do.Url }
func (do *WkSpiderQnaDO) SetUrl(v string)             { do.Url = v }
func (do *WkSpiderQnaDO) GetImageUrl() string         { return do.ImageUrl }
func (do *WkSpiderQnaDO) SetImageUrl(v string)        { do.ImageUrl = v }
func (do *WkSpiderQnaDO) GetIsHotspot() bool          { return do.IsHotspot }
func (do *WkSpiderQnaDO) SetIsHotspot(v bool)         { do.IsHotspot = v }
func (do *WkSpiderQnaDO) GetCreatedTime() string      { return do.CreatedTime }
func (do *WkSpiderQnaDO) SetCreatedTime(v string)     { do.CreatedTime = v }
func (do *WkSpiderQnaDO) GetStatus() bool             { return do.Status }
func (do *WkSpiderQnaDO) SetStatus(v bool)            { do.Status = v }
